import request from '../request.js';

const Api = {
    page: '/api/wms/pick/page',
    list: '/api/wms/pick/list',
    remove: '/api/wms/pick/remove',
    removeBatch: '/api/wms/pick/removeBatch',
    save: '/api/wms/pick/save',
    edit: '/api/wms/pick/edit',
}

/** 拣选明细管理 */
export const page = data => {
    return request.request({
        url: Api.page,
        params: data,
        method: 'GET'
    })
}

/** 拣选明细表列表 */
export const list = data => {
    return request.request({
        url: Api.list,
        params: data,
        method: 'GET'
    })
}

/** 新增拣选明细 */
export const save = data => {
    return request.request({
        url: Api.save,
        data: data,
        method: 'POST'
    })
}

/** 修改拣选明细 */
export const edit = data => {
    return request.request({
        url: Api.edit,
        data: data,
        method: 'PUT'
    })
}

/** 删除拣选明细 */
export const remove = data => {
    return request.request({
        url: Api.remove,
        params: data,
        method: 'DELETE'
    })
}

/** 批量删除 */
export const removeBatch = data => {
    return request.request({
        url: Api.removeBatch,
        params: data,
        method: 'DELETE'
    })
}
